SimpleTogglePanelSwitchEvent (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.event.SimpleTogglePanelSwitchEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Class SimpleTogglePanelSwitchEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.event.SimpleTogglePanelSwitchEvent

All Implemented Interfaces:
  java.io.Serializable

    public class SimpleTogglePanelSwitchEvent

extends javax.faces.event.FacesEvent

Since:
  3.3.1
Author:
  Nick Belaevski
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SimpleTogglePanelSwitchEvent(javax.faces.component.UIComponent component, boolean opened)`

Method Summary
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`boolean` | `isOpened()`
`void` | `processListener(javax.faces.event.FacesListener listener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleTogglePanelSwitchEvent

    public SimpleTogglePanelSwitchEvent(javax.faces.component.UIComponent component,
                                        boolean opened)

Method Detail

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`

### isOpened

    public boolean isOpened()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.